### Method

# FwupdPlugin Device get_metadata

#### Declaration [src]

    const gchar*
    fu_device_get_metadata (
      FuDevice* self,
      const gchar* key
    )

#### Description [src]

Gets an item of metadata from the device.

Available since: | 0.1.0

#### Parameters

`key` | `const gchar*`
| The key.
| The data is owned by the caller of the function.
| The value is a NUL terminated UTF-8 string.

#### Return value

Returns: | `const gchar*`
| A string value, or `NULL` for unfound.
| The data is owned by the instance.
| The value is a NUL terminated UTF-8 string.